## tellico-trinity 3.5.13.2

=== doc/en/CMakeLists.txt ===

KDE_CREATE_HANDBOOK( index.docbook Xi
  INSTALL_DESTINATION share/doc/tde/HTML/en/tellico
  )

########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#
#EXTRA_DIST = \
#advanced.docbook \
#configuration.docbook \
#details.docbook \
#faqs.docbook \
#fundamentals.docbook \
#hacking.docbook \
#importing-exporting.docbook \
#index.docbook \
#menus.docbook \
#freebsd-doc-license.html \
#entry-editor1.png \
#entry-editor3.png \
#entry-editor4.png \
#entry-editor5.png \
#fields-dialog.png \
#general-options.png \
#main-window.png \
#print-options.png \
#template-options.png \
#source-options.png \
#filter-dialog.png \
#csv-dialog.png \
#fetch-dialog.png \
#export-options.png \
#export-html.png \
#export-csv.png \
#export-pdb.png \
#export-bibtex.png \
#amazon-options.png \
#z3950-options.png \
#externalexec-options.png \
#report-dialog.png \
#loan-dialog.png \
#loan-view.png \
#filter-view.png \
#openoffice-dialog.png \
#sru-options.png \
#imdb-options.png
#
#
######## kdevelop will overwrite this part!!! (end)############
#
#KDE_LANG = en
#KDE_DOCS = tellico
#
#CLEANFILES = *~

=== debian/changelog ===
tellico-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 17:39:27 +0200

tellico-trinity (1.3.2.1-1ubuntu4) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

tellico-trinity (1.3.2.1-1ubuntu3) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

tellico-trinity (1.3.2.1-1ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 08 Feb 2009 12:39:00 -0600

tellico (1.3.2.1-1ubuntu1) intrepid; urgency=low

  [ Fabrice Coutadeur ]
  * debian/control: Building without kdemultimedia-dev and libkcal2-dev
  * debian/rules: delete libtool and config.log files in the cleaning part
  * Close LP: #264168

  [ Sarah Hobbs ]
  * Drop khelpcenter recommends, as it no longer exists in intrepid

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 27 Sep 2008 23:52:00 +1000

tellico (1.3.2.1-1) unstable; urgency=low

  * New upstream release, fixing some translations.
  * Bump Strandard version to 3.8.0.

 -- Regis Boudin <regis@debian.org>  Sat, 14 Jun 2008 08:32:30 +0100

tellico (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Recommend khelpcenter for acces to the help (Closes: #478975).

 -- Regis Boudin <regis@debian.org>  Fri, 23 May 2008 21:28:59 +0100

tellico (1.3.1-2) unstable; urgency=low

  * Move the import scripts to a separate package, tellico-scripts, which can
    be updated through debian-volatile (Closes: #457949).
  * Build-depend on libyaz3-dev instead of libyaz2-dev, to use the new yaz.
  * Stop suggesting python2.4, and make the guilty script use straight python
    (Closes: #472741).

 -- Regis Boudin <regis@debian.org>  Mon, 21 Apr 2008 10:38:57 +0100

tellico (1.3.1-1) unstable; urgency=low

  * New upstream release.
  * Now that dh_icons is a complete feature, call it (Closes: #464590)
  * Re-generate the manpage, to make lintian happy. Plus, it was outdated.

 -- Regis Boudin <regis@debian.org>  Sat, 15 Mar 2008 16:55:42 +0000

tellico (1.3-1) unstable; urgency=low

  * New complete upstream release, going to unstable this time. Only includes
    minor code changes and documentation update since the pre3 release.
  * Enable new barcore reading through webcam with --enable-webcam.

 -- Regis Boudin <regis@debian.org>  Wed, 30 Jan 2008 14:17:07 +0000

tellico (1.3~pre3-1) experimental; urgency=low

  * New upstream pre-release, upload to experimental. This release is brand
    new and might break things. Back up you data !
    + Includes support for pdf files. Add libpoppler-qt-dev and libexempi-dev
      to build-depends to enable it.
  * Add svg icons to the xdg mimetypes. Remove hack to rename mimetypes icons,
    The change is now included upstream.
  * Suggest ruby for more import scripts.
  * Call dh_installmime specifically for tellico-data to call
    update-mime-database in postinst and postrm.
  * Call dh_desktop in the tellico binary package to update the desktop
    database.

 -- Regis Boudin <regis@debian.org>  Sun, 13 Jan 2008 18:16:45 +0000

tellico (1.2.14-1) unstable; urgency=low

  * New upstream release. Mainly bugfixes and translation updates. Includes
    an updated German translation (Closes: #425968, #445879).
  * Check for the existence of Makefile before calling distclean.
  * Build-depend on debhelper (>> 5.0.0).
  * Switch to the new Debian menu hierarchy, move to Applications/Office.
  * Move tellico.desktop to the tellico package, so it can find the program.
  * Add a sharedmimeinfo file to tellico-data for the application/x-tellico
    mimetype.
  * Rename the mimetype icons to application-x-tellico so Gnome can use them.
  * Use the new Homepage and Vcs-Svn fields.
  * Bump Standards-Version to 3.7.3.0.
  * Apply some minor modifications to tellico.desktop to comply with the
    freedesktop specs.

 -- Regis Boudin <regis@debian.org>  Sun, 23 Sep 2007 11:06:54 +0100

tellico (1.2.11-1) unstable; urgency=low

  * New upstream release (Closes: #402275, #422792). Also add a watch file
    provided by Bastian Kleineidam.
    + Include updated parsing for IMDb source (Closes: #421650).
  * Stop patching to remove unnecessary links, use --enable-new-ldflags
    instead, which passes the --as-needed flag at link time.

 -- Regis Boudin <regis@boudin.name>  Mon,  8 May 2007 10:11:44 +0200

tellico (1.2.5-1) unstable; urgency=high

  * "New" upstream release, aimed at Etch. Differences with 1.2.4-1 are :
    + Build fix for OOo plugin (disabled in the package anyway), r1206
    + Check if pointer is NULL *before* using it, r1212.
    + Some minor build issues
    + Use log messages instead of debug
  * Also backport a bunch of bugfixes :
    + r1216 : fix crashing bug in progressitem.
    + r1224 : clear release list when removing an image.
    + r1228 : prevent an infinite loop.
    + r1245 & r1248 : fix a race condition leading to loss of images.
    + r1265 : sometimes images wouldn't show up if the cover column was
      visible in the list view.
    + r1340 : sometimes z39.50 results would not show up.
    + All this makes the package back in good shape for Etch (Closes: #411744).
  * Many thanks to Robby Stephenson, the uptream author, for his help picking
    the patches for inclusion.
  * Only call dh_compress once so help files are not compressed and can be read
    (Closes: #401247).

 -- Regis Boudin <regis@boudin.name>  Tue, 20 Feb 2007 18:27:45 +0000

tellico (1.2.4-1) unstable; urgency=low

  * New upstream release. Now works with KDE 3.3.1, so I can provide Sarge
    backports again. Thanks Robby for caring about that. (Closes: #396508).
    This package actually includes patches from the 1.2.x branch, up top
    r1203, which contains several bugfixes.


=== debian/control ===
Source: tellico-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
Build-Depends: debhelper (>= 5.0.51~), quilt, kdelibs4-trinity-dev, libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev, libpoppler-tqt-dev, libexempi-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://periapsis.org/tellico/

Package: tellico-trinity
Architecture: any
Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
Replaces: tellico-kde3 (<< 4:3.5.13)
Breaks: tellico-kde3 (<< 4:3.5.13)
Description: collection manager for books, videos, music [Trinity]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.

Package: tellico-data-trinity
Architecture: all
Depends: kdelibs-data-trinity
Replaces: tellico-data-kde3 (<< 4:3.5.13)
Breaks: tellico-data-kde3 (<< 4:3.5.13)
Recommends: tellico-trinity
Suggests: python
Description: collection manager for books, videos, music [data] [Trinity]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the architecture independent files, such data files and
 documentation.

Package: tellico-scripts-trinity
Architecture: all
Recommends: tellico-trinity
Replaces: tellico-scripts-kde3 (<< 4:3.5.13)
Breaks: tellico-scripts-kde3 (<< 4:3.5.13)
Suggests: python, ruby
Description: collection manager for books, videos, music [scripts] [Trinity]
 Tellico is a collection manager for KDE. It includes default collections for
 books, bibliographies, comic books, videos, music, coins, stamps, trading
 cards, and wines, and also allows custom collections; with unlimited
 user-defined fields allowed. Automatically formatted names, sorting by any
 property, filters, automatic ISBN validation and full customization for
 printing or display through XSLT files are some of the features present. It
 can import CSV, RIS, BibTeX, and BibTeXML files; and export CSV, HTML, BibTeX,
 BibTeXML, and PilotDB. Tellico can also import data from Amazon, IMDb, CDDB,
 or any US-MARC compliant z39.50 server.
 .
 The files are stored in XML format, avoiding the need for database server.
 It also makes it easy for other softwares to use the Tellico data.
 .
 This package contains the scripts to import data from external sources, such
 as websites. As the format of the data may change, these scripts are provided
 as a separate package which can be updated through debian-volatile.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -g -Wall
CXXFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

apply-patches:
	#apply patches first
	#QUILT_PATCHES="debian/patches" quilt push -a -v

	#regenerate the acinclude file with the "Debian" libtool
	cp -a /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	cat admin/acinclude.m4.in admin/libtool.m4.in >acinclude.m4

	#this will update the config.{sub,guess} and ltmain.sh files
	libtoolize -c -f

	# then, autoreconf with some kde magic
	autoreconf -v -i
	perl -w admin/am_edit

update-autoconf:
	cp -a /usr/share/misc/config.sub admin/
	cp -a /usr/share/misc/config.guess admin/

svn-number:
	sed -e "s/svn[^-]*-/svn`svn info | \
		grep "^Revision" | \
		sed -e "s/Revision: //"`-/" debian/changelog > new_changelog
	mv new_changelog debian/changelog

config.status: configure
	dh_testdir

	# this makes the file more recent than configure and avoid make calling
	# autoheader

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" \
	kde_htmldir=\$${prefix}/share/doc/tde/HTML \
		./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/opt/trinity \
		--with-extra-libs=/opt/trinity/lib
		--mandir=\$${prefix}/share/man \
		--disable-debug \
		--enable-new-ldflags \
		--enable-final \
		--enable-webcam \
		--disable-rpath


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f libtool config.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tellico.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Add svg icons to xdg directories
	admin/mkinstalldirs debian/tmp/opt/trinity/share/icons/hicolor/scalable/apps
	install -c -p -m 644 -T icons/tellico.svg debian/tmp/opt/trinity/share/icons/hicolor/scalable/apps/tellico.svg
	admin/mkinstalldirs debian/tmp/opt/trinity/share/icons/hicolor/scalable/mimetypes
	install -c -p -m 644 -T icons/tellico_mime.svg debian/tmp/opt/trinity/share/icons/hicolor/scalable/mimetypes/application-x-tellico.svg

	# Remove  dead symlink from French translation
	rm debian/tmp/opt/trinity/share/doc/tde/HTML/fr/tellico/common


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installmime -ptellico-data
	mkdir -p debian/tellico-data-trinity/usr/share/mime
	mv debian/tellico-data-trinity/opt/trinity/share/apps/mime debian/tellico-data-trinity/usr/share/
	dh_installchangelogs -i ChangeLog
	dh_icons -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i -Xkde
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i $(DEB_DH_BUILDDEB_ARGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_installexamples
	dh_install -a
	dh_installmenu
	dh_desktop -ptellico
	dh_installman -a debian/tellico.1x
	mv debian/tellico-trinity/usr/share/man debian/tellico-trinity/opt/trinity/share/
	dh_link -a
	dh_strip
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a $(DEB_DH_BUILDDEB_ARGS)

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## tellico-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2016 Slávek Banko
#  slavek.banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( tellico )
set( VERSION R14.0.4 )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckIncludeFile )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckTypeSize )
# EXAMPLE:
# include( CheckCSourceCompiles )
# include( CheckCXXSourceCompiles )

enable_testing()


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff ############################

option( WITH_ALL_OPTIONS   "Enable all sane supported options" OFF )

option( WITH_LIBKCDDB      "Enable FreeDB integration" ${WITH_ALL_OPTIONS} )
option( WITH_LIBKCAL       "Enable KOrganizer integration" ${WITH_ALL_OPTIONS} )
option( WITH_LIBBTPARSE    "Use btparse shared library" ${WITH_ALL_OPTIONS} )
option( WITH_SAX_LOADER    "Use SAX document loading (experimental)" ${WITH_ALL_OPTIONS} )


##### options comments ##########################

# WITH_LIBKCDDB       enable searching via freedb
# WITH_LIBKCAL        enable integration with KOrganizer
# WITH_LIBBTPARSE     if enabled use system library btparse instead of build-in
# WITH_SAX_LOADER     if enabled documents will be openned using SAX loader


##### user requested modules ####################

option( BUILD_DOC "Build documentation" ON )
option( BUILD_TRANSLATIONS "Build translations" ON )
option( BUILD_XMLCATALOG "" OFF )

option( BUILD_AMAZON_SUPPORT "Build Amazon.com searching support" ON )
option( BUILD_IMDB_SUPPORT "Build IMDb searching support" ON )
option( BUILD_CDTEXT_SUPPORT "Build CD-Text support (Linux only)" ON )
option( BUILD_OOO_SUPPORT "Build LibreOffice/OpenOffice.org support" OFF )
option( BUILD_EXEMPI_SUPPORT "Build exempi support" ON )
option( BUILD_POPPLER_SUPPORT "Build poppler support" ON )
option( BUILD_WEBCAM_SUPPORT "Build support for scanning barcodes (experimental)" ON )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### tellico directories #######################

add_subdirectory( src )
add_subdirectory( icons )
add_subdirectory( xslt )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
tde_conditional_add_subdirectory( BUILD_DOC doc )


##### other data ################################

install( FILES tellico.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)
install( FILES tellico.xml
  DESTINATION ${XDG_MIME_INSTALL_DIR}
)
install( FILES x-tellico.desktop
  DESTINATION ${MIME_INSTALL_DIR}/application
)
install( FILES tellico.dtd tellico.tips
  DESTINATION ${DATA_INSTALL_DIR}/${CMAKE_PROJECT_NAME}
)


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

=== src/tests/CMakeLists.txt ===
#################################################
#
#  (C) 2016 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### define tests ##############################

add_test( isbtest isbntest )

add_test( latin1test latin1test )

add_test( entitytest entitytest )


##### test programs #############################

tde_add_executable( isbntest AUTOMOC
  SOURCES
    isbntest.cpp
    ../isbnvalidator.cpp ../upcvalidator.cpp
  LINK
    tdecore-shared tdeui-shared
)

tde_add_executable( latin1test AUTOMOC
  SOURCES
    latin1test.cpp
  LINK
    tdecore-shared
)

tde_add_executable( entitytest AUTOMOC
  SOURCES
    entitytest.cpp
    ../tellico_utils.cpp
  LINK
    tdecore-shared
)

=== debian/changelog ===
tellico-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 14:01:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,23 @@
 Source: tellico-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 5.0.51~), quilt, kdelibs4-trinity-dev, libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev, libpoppler-tqt-dev, libexempi-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake,
+ tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
+ libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev,
+ libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
+ automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://periapsis.org/tellico/
 
 Package: tellico-trinity
 Architecture: any
 Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
-Replaces: tellico-kde3 (<< 4:3.5.13)
-Breaks: tellico-kde3 (<< 4:3.5.13)
+Replaces: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
+Breaks: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
 Description: collection manager for books, videos, music [Trinity]
- Tellico is a collection manager for KDE. It includes default collections for
+ Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
  cards, and wines, and also allows custom collections; with unlimited
  user-defined fields allowed. Automatically formatted names, sorting by any
@@ -28,13 +32,13 @@
 
 Package: tellico-data-trinity
 Architecture: all
-Depends: kdelibs-data-trinity
-Replaces: tellico-data-kde3 (<< 4:3.5.13)
-Breaks: tellico-data-kde3 (<< 4:3.5.13)
+Depends: tdelibs-data-trinity
+Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
+Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
 Suggests: python
 Description: collection manager for books, videos, music [data] [Trinity]
- Tellico is a collection manager for KDE. It includes default collections for
+ Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
  cards, and wines, and also allows custom collections; with unlimited
  user-defined fields allowed. Automatically formatted names, sorting by any
@@ -53,11 +57,11 @@
 Package: tellico-scripts-trinity
 Architecture: all
 Recommends: tellico-trinity
-Replaces: tellico-scripts-kde3 (<< 4:3.5.13)
-Breaks: tellico-scripts-kde3 (<< 4:3.5.13)
+Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
+Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
 Suggests: python, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
- Tellico is a collection manager for KDE. It includes default collections for
+ Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
  cards, and wines, and also allows custom collections; with unlimited
  user-defined fields allowed. Automatically formatted names, sorting by any

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug) \
	--enable-new-ldflags \
	--enable-webcam

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DWITH_ALL_OPTIONS="ON"

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

binary-install/tellico-data-trinity::
	# Add svg icons to xdg directories
	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps
	install -c -p -m 644 -T icons/tellico.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps/tellico.svg
	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes
	install -c -p -m 644 -T icons/tellico_mime.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes/application-x-tellico.svg

	# Install mime info into system directory
	mkdir -p debian/$(cdbs_curpkg)/usr/share/mime
	[ ! -d debian/tmp/opt/trinity/share/apps/mime ] || \
	mv debian/tmp/opt/trinity/share/apps/mime debian/$(cdbs_curpkg)/usr/share/
	[ ! -d debian/tmp/opt/trinity/share/mime ] || \
	mv debian/tmp/opt/trinity/share/mime debian/$(cdbs_curpkg)/usr/share/
	mv debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico.xml debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico-trinity.xml

binary-install/tellico-trinity::
	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

## tellico-trinity 14.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##### general package setup #####################
 
 project( tellico )
-set( VERSION R14.0.4 )
+set( VERSION R14.0.5 )
 
 
 ##### include essential cmake modules ###########

=== debian/changelog ===
tellico-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:53:14 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
 Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
- libxml2-dev, libxslt1-dev, libtag1-dev, libyaz3-dev | libyaz4-dev,
+ libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
  libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
  automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
  -DCMAKE_SKIP_RPATH="OFF" \
  -DWITH_ALL_OPTIONS="ON"
 
+DEB_MAKE_CHECK_TARGET = check
+
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)

## tellico-trinity 14.0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##### general package setup #####################
 
 project( tellico )
-set( VERSION R14.0.5 )
+set( VERSION R14.0.6 )
 
 
 ##### include essential cmake modules ###########
@@ -89,8 +89,8 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### tellico directories #######################

=== debian/changelog ===
tellico-trinity (4:14.0.6-0debian6.0.0+0) squeeze; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:54:35 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
 Package: tellico-trinity
 Architecture: any
 Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
-Replaces: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
-Breaks: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
+Replaces: tellico-trinity (<< 4:14.0.0~)
+Breaks: tellico-trinity (<< 4:14.0.0~)
 Description: collection manager for books, videos, music [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -33,8 +33,8 @@
 Package: tellico-data-trinity
 Architecture: all
 Depends: tdelibs-data-trinity
-Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
-Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
+Replaces: tellico-data-trinity (<< 4:14.0.0~)
+Breaks: tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
 Suggests: python
 Description: collection manager for books, videos, music [data] [Trinity]
@@ -57,8 +57,8 @@
 Package: tellico-scripts-trinity
 Architecture: all
 Recommends: tellico-trinity
-Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
-Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
+Replaces: tellico-scripts-trinity (<< 4:14.0.0~)
+Breaks: tellico-scripts-trinity (<< 4:14.0.0~)
 Suggests: python, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for

## tellico-trinity 14.0.8

=== debian/changelog ===
tellico-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:56 +0200

## tellico-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##### general package setup #####################
 
 project( tellico )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.9 )
 
 
 ##### include essential cmake modules ###########

=== debian/changelog ===
tellico-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:18:52 +0200

## tellico-trinity 14.0.10

=== debian/changelog ===
tellico-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: tellico-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), cmake,
+Build-Depends: cdbs, debhelper (>= 9~), cmake,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
  libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
  libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
@@ -36,7 +36,7 @@
 Replaces: tellico-data-trinity (<< 4:14.0.0~)
 Breaks: tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
-Suggests: python
+Suggests: python-all
 Description: collection manager for books, videos, music [data] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -59,7 +59,7 @@
 Recommends: tellico-trinity
 Replaces: tellico-scripts-trinity (<< 4:14.0.0~)
 Breaks: tellico-scripts-trinity (<< 4:14.0.0~)
-Suggests: python, ruby
+Suggests: python-all, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading

=== debian/rules ===
--- 
+++ 
@@ -2,19 +2,10 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-qt-kde.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
-DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
-DEB_CONFIGURE_PREFIX := /opt/trinity
-DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
-
-cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug) \
-	--enable-new-ldflags \
-	--enable-webcam
+include debian/cdbs/debian-tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
  -DCONFIG_INSTALL_DIR="/etc/trinity" \
  -DSYSCONF_INSTALL_DIR="/etc/trinity" \
@@ -25,9 +16,6 @@
  -DWITH_ALL_OPTIONS="ON"
 
 DEB_MAKE_CHECK_TARGET = check
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
 
 binary-install/tellico-data-trinity::
 	# Add svg icons to xdg directories

## tellico-trinity 14.0.11

=== debian/changelog ===
tellico-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 14:48:55 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), cmake,
+Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
  libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
- libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev,
- automake, autoconf, libtool, libltdl-dev
+ libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev
 Standards-Version: 3.8.4
 Homepage: http://periapsis.org/tellico/
 
 Package: tellico-trinity
 Architecture: any
 Depends: tellico-data-trinity (= ${source:Version}), tellico-scripts-trinity, ${shlibs:Depends}
-Replaces: tellico-trinity (<< 4:14.0.0~)
-Breaks: tellico-trinity (<< 4:14.0.0~)
+Replaces: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
+Breaks: tellico-kde3 (<< 4:14.0.0~), tellico-trinity (<< 4:14.0.0~)
 Description: collection manager for books, videos, music [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -33,8 +32,8 @@
 Package: tellico-data-trinity
 Architecture: all
 Depends: tdelibs-data-trinity
-Replaces: tellico-data-trinity (<< 4:14.0.0~)
-Breaks: tellico-data-trinity (<< 4:14.0.0~)
+Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
+Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
 Suggests: python-all
 Description: collection manager for books, videos, music [data] [Trinity]
@@ -57,8 +56,8 @@
 Package: tellico-scripts-trinity
 Architecture: all
 Recommends: tellico-trinity
-Replaces: tellico-scripts-trinity (<< 4:14.0.0~)
-Breaks: tellico-scripts-trinity (<< 4:14.0.0~)
+Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
+Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
 Suggests: python-all, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for

=== debian/rules ===
--- 
+++ 
@@ -13,17 +13,12 @@
  -DCMAKE_BUILD_TYPE=RelWithDebInfo \
  -DCMAKE_VERBOSE_MAKEFILE="ON" \
  -DCMAKE_SKIP_RPATH="OFF" \
+ -DBUILD_ALL="ON" \
  -DWITH_ALL_OPTIONS="ON"
 
 DEB_MAKE_CHECK_TARGET = check
 
 binary-install/tellico-data-trinity::
-	# Add svg icons to xdg directories
-	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps
-	install -c -p -m 644 -T icons/tellico.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/apps/tellico.svg
-	admin/mkinstalldirs debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes
-	install -c -p -m 644 -T icons/tellico_mime.svg debian/$(cdbs_curpkg)/opt/trinity/share/icons/hicolor/scalable/mimetypes/application-x-tellico.svg
-
 	# Install mime info into system directory
 	mkdir -p debian/$(cdbs_curpkg)/usr/share/mime
 	[ ! -d debian/tmp/opt/trinity/share/apps/mime ] || \

## tellico-trinity 14.0.12

=== debian/changelog ===
tellico-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:43 +0100

## tellico-trinity 14.0.13

=== debian/changelog ===
tellico-trinity (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 20 Aug 2022 13:50:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,3 @@
 	[ ! -d debian/tmp/opt/trinity/share/mime ] || \
 	mv debian/tmp/opt/trinity/share/mime debian/$(cdbs_curpkg)/usr/share/
 	mv debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico.xml debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico-trinity.xml
-
-binary-install/tellico-trinity::
-	mv debian/$(cdbs_curpkg)/usr/share/man debian/$(cdbs_curpkg)/opt/trinity/share/

## tellico-trinity 14.1.0

=== debian/changelog ===
tellico-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 20 Jan 2023 23:03:47 +0100

## tellico-trinity 14.1.1

=== debian/changelog ===
tellico-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 06 Oct 2023 23:14:27 +0200

## tellico-trinity 14.1.2

=== debian/changelog ===
tellico-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build,
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build,
  tdelibs14-trinity-dev, tdemultimedia-trinity-dev, libtdepim1-trinity-dev,
  libxml2-dev, libxslt1-dev, libtag1-dev, libyaz-dev,
- libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev
+ libpoppler-tqt-dev, libexempi-dev, libbtparse-dev, libv4l-dev, dh-python
 Standards-Version: 3.8.4
 Homepage: http://periapsis.org/tellico/
 
@@ -31,11 +31,11 @@
 
 Package: tellico-data-trinity
 Architecture: all
-Depends: tdelibs-data-trinity
+Depends: tdelibs-data-trinity, ${python3:Depends}
 Replaces: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Breaks: tellico-data-kde3 (<< 4:14.0.0~), tellico-data-trinity (<< 4:14.0.0~)
 Recommends: tellico-trinity
-Suggests: python-all
+Suggests: python3-all
 Description: collection manager for books, videos, music [data] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading
@@ -55,10 +55,11 @@
 
 Package: tellico-scripts-trinity
 Architecture: all
+Depends: ${python3:Depends}
 Recommends: tellico-trinity
 Replaces: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
 Breaks: tellico-scripts-kde3 (<< 4:14.0.0~), tellico-scripts-trinity (<< 4:14.0.0~)
-Suggests: python-all, ruby
+Suggests: python3-all, ruby
 Description: collection manager for books, videos, music [scripts] [Trinity]
  Tellico is a collection manager for TDE. It includes default collections for
  books, bibliographies, comic books, videos, music, coins, stamps, trading

## tellico-trinity 14.1.3

=== debian/changelog ===
tellico-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 06 May 2024 23:17:01 +0200

## tellico-trinity 14.1.4

=== debian/changelog ===
tellico-trinity (4:14.1.4-0ubuntu20.04.0+0) focal; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,7 @@
 	[ ! -d debian/tmp/opt/trinity/share/mime ] || \
 	mv debian/tmp/opt/trinity/share/mime debian/$(cdbs_curpkg)/usr/share/
 	mv debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico.xml debian/$(cdbs_curpkg)/usr/share/mime/packages/tellico-trinity.xml
+	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/tellico
+
+binary-install/tellico-scripts-trinity::
+	dh_python3 -p $(cdbs_curpkg) --shebang=/usr/bin/python3 /opt/trinity/share/apps/tellico/data-sources

## tellico-trinity 14.1.5~pre0

=== debian/changelog ===
tellico-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 58a570163d90ddcb81e682e28aa4478a62dd7dac
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#tellico

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200
